## xwrits 2.8-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/X11R6
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xwrits
pkglibdir = $(libdir)/xwrits
pkgincludedir = $(includedir)/xwrits

top_builddir = .

ACLOCAL = /usr/local/src/debian/xwrits/xwrits-2.8/missing aclocal
AUTOCONF = autoconf
AUTOMAKE = /usr/local/src/debian/xwrits/xwrits-2.8/missing automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
MAKEINFO = /usr/local/src/debian/xwrits/xwrits-2.8/missing makeinfo
PACKAGE = xwrits
VERSION = 2.8

AUTOMAKE_OPTIONS = no-dependencies foreign check-news

bin_PROGRAMS = xwrits
noinst_PROGRAMS = giftoc
man_MANS = xwrits.1

INCLUDES = $(X_CFLAGS)

LDADD = 
xwrits_LDADD = $(LDADD)  -L/usr/X11R6/lib  -lSM -lICE -lX11  -lm

xwrits_SOURCES = fmalloc.c 		gif.h giffunc.c gifread.c gifx.h gifx.c 		xwrits.h clock.c lock.c main.c pictures.c rest.c 		schedule.c warning.c


giftoc_SOURCES = giftoc.c

BUILT_SOURCES = colorpic.c monopic.c

xwrits_DEPENDENCIES = 
giftoc_DEPENDENCIES = 

COLOR_PIC = color/bars.gif color/lock.gif 	color/clenchl.gif color/spreadl.gif color/fingerl.gif color/restl.gif 	color/okl.gif color/clenchi.gif color/spreadi.gif color/fingeri.gif 	color/resti.gif color/oki.gif color/koreanl.gif color/koreani.gif

MONO_PIC = mono/barsm.gif mono/lockm.gif 	mono/clenchlm.gif mono/spreadlm.gif mono/fingerlm.gif mono/restlm.gif 	mono/oklm.gif mono/clenchim.gif mono/spreadim.gif mono/fingerim.gif 	mono/restim.gif mono/okim.gif


EXTRA_DIST = GESTURES xwrits.1 logo.gif rpm.spec
MOSTLYCLEANFILES = colorpic.c monopic.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = 
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
xwrits_OBJECTS =  fmalloc.o giffunc.o gifread.o gifx.o clock.o lock.o \
main.o pictures.o rest.o schedule.o warning.o
xwrits_LDFLAGS = 
giftoc_OBJECTS =  giftoc.o
giftoc_LDADD = $(LDADD)
giftoc_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  README ./stamp-h.in INSTALL Makefile.am Makefile.in NEWS \
acconfig.h aclocal.m4 config.h.in configure configure.in install-sh \
missing mkinstalldirs strerror.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(xwrits_SOURCES) $(giftoc_SOURCES)
OBJECTS = $(xwrits_OBJECTS) $(giftoc_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

xwrits: $(xwrits_OBJECTS) $(xwrits_DEPENDENCIES)
	@rm -f xwrits
	$(LINK) $(xwrits_LDFLAGS) $(xwrits_OBJECTS) $(xwrits_LDADD) $(LIBS)

giftoc: $(giftoc_OBJECTS) $(giftoc_DEPENDENCIES)
	@rm -f giftoc
	$(LINK) $(giftoc_LDFLAGS) $(giftoc_OBJECTS) $(giftoc_LDADD) $(LIBS)

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	@if sed 15q $(srcdir)/NEWS | fgrep -e "$(VERSION)" > /dev/null; then :; else \
	  echo "NEWS not updated; not releasing" 1>&2; \
	  exit 1; \
	fi
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
all-recursive-am: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(MANS) config.h
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
		mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-hdr clean-binPROGRAMS clean-noinstPROGRAMS \
		clean-compile clean-tags clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-hdr distclean-binPROGRAMS \
		distclean-noinstPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
		maintainer-clean-noinstPROGRAMS \

=== debian/changelog ===
xwrits (2.8-1) unstable; urgency=low

  * New upstream release

 -- Jay Kominek <jay.kominek@colorado.edu>  Wed, 13 Oct 1999 13:57:42 -0600

xwrits (2.7) unstable; urgency=low

  * New upstream release
  * Fixes bug #46481
  * Switched to DFSG-free license

  -- Jay Kominek <jkominek@debian.org>  Tue, 12 Oct 1999 14:36:32 -0600

xwrits (2.6.5-1) unstable; urgency=low

  * New upstream release

 -- Jay Kominek <jkominek@debian.org>  Sat, 31 Oct 1998 13:47:04 -0700

xwrits (2.6.2) non-free; urgency=low

  * New upstream release

 -- Jay Kominek <jkominek@debian.org>  Fri, 28 Aug 1998 21:11:39 -0600

xwrits (2.6.1) non-free; urgency=low

  * Initial Release.

 -- Jay Kominek <jkominek@debian.org>  Wed, 10 Jun 1998 14:23:37 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "jkominek@debian.org"
End:

=== debian/control ===
Source: xwrits
Section: x11
Priority: optional
Maintainer: Jay Kominek <jkominek@debian.org>
Standards-Version: 2.4.0.0

Package: xwrits
Architecture: any
Depends: ${shlibs:Depends}
Description: Reminds you to take a break from typing
 xwrits is a small reminder program designed to let you know it is time
 to take a break from typing to rest your wrists and prevent any damage
 to your wrists (or at least make them feel better if you've already
 damaged them). Normally works on the honor system, but if you find
 yourself unable to stop typing during your break, it can also lock your
 keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# Originally generated by debmake, and then converted to use debhelper

build:	build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr/X11R6
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-make clean
	rm -rf blib
	rm -f `find . -name "*~"`

	dh_clean

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make install bindir=`pwd`/debian/tmp/usr/X11R6/bin mandir=`pwd`/debian/tmp/usr/X11R6/man/man1
	dh_installdocs README NEWS
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:	build
# Nothing to do

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xwrits 2.21

=== debian/changelog ===
xwrits (2.21-6.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:26 +0000

xwrits (2.21-6.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/clean
    - Mew file.
  * debian/compat
    - New file.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev.
      (important; Closes: #579038). Remove *-1 version suffix
      from texinfo dependency. Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Update layout and point to GPL-2.
  * debian/rules
    - Delete EOL whitespaces.
    - (DH_COMPAT): Remove.
    - (install): Update dh_clean to dh_prep.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.
  * xwrits.1
    - Fix hyphens.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 04 May 2010 21:39:32 +0300

xwrits (2.21-6) unstable; urgency=low

  *  Altered rest.c and schedule.c to apply patch from Roderick Schertler
     (closes: #315572).
  *  New maintainer email address (same maintainer).

 -- Helen Faulkner <helen@debian.org>  Fri, 20 Oct 2006 20:38:53 +1000

xwrits (2.21-5) unstable; urgency=low

  *  Changed rest.c to make xwrits ignore all synthetic events.  Patch provided
     by James Kirk (closes: #297229).
  *  New maintainer email address (same maintainer).

 -- Helen Faulkner <projects@thousand-ships.com>  Mon, 07 Mar 2005 17:03:01 +0000

xwrits (2.21-4) unstable; urgency=low

  * Build-depends on xlibs-dev changed to list only required packages.
  * Removed unnecessary paragraph about patenting of GIF files from
    debian/copyright.
  * Changed debian/rules to support support DEB_BUILD_OPTIONS=noopt.
  * Removed debian/README.debian, because it contains no information that isn't
    also written elsewhere.

 -- Helen Faulkner <helen_ml_faulkner@yahoo.co.uk>  Sun, 19 Dec 2004 11:03:19 +0000

xwrits (2.21-3) unstable; urgency=low

  * New maintainer (closes: Bug#224839).
  * Changed debian/copyright file to standardise formatting and include new
    upstream website.
  * Changed debian/rules to use debhelper compatability version 4.
  * Changed debian/control to removed build-depends on automake and autoconf,
    since these are not required to build xwrits.
  * Changed standards version to 3.6.1.

 -- Helen Faulkner <helen_ml_faulkner@yahoo.co.uk>  Thu, 05 Aug 2004 13:36:13 +0100

xwrits (2.21-2) unstable; urgency=low

  * Updated copyright file (closes: #163700).
  * Mentioning RSI in package description (closes: #162577).

 -- Hugo Haas <hugo@debian.org>  Sun, 12 Jan 2003 12:55:29 -0500

xwrits (2.21-1.1) unstable; urgency=low

  * NMU
  * Update build-depends to automake1.4. (Closes: #166395)

 -- Eric Dorland <eric@debian.org>  Sat, 23 Nov 2002 19:41:00 -0500

xwrits (2.21-1) unstable; urgency=low

  * New upstream version.

 -- Hugo Haas <hugo@debian.org>  Sun, 23 Jun 2002 09:06:00 -0400

xwrits (2.20-1) unstable; urgency=low

  * New upstream version.

 -- Hugo Haas <hugo@debian.org>  Sat, 27 Apr 2002 20:37:42 -0400

xwrits (2.19-1) unstable; urgency=low

  * New upstream version.

 -- Hugo Haas <hugo@debian.org>  Mon, 18 Feb 2002 17:24:55 -0500

xwrits (2.18-1) unstable; urgency=low

  * New upstream version.

 -- Hugo Haas <hugo@debian.org>  Sun, 30 Dec 2001 14:45:42 -0500

xwrits (2.17-4) unstable; urgency=low

  * Moved the program out of /usr/X11R6.
  * Better clean rule for debian/rules.

 -- Hugo Haas <hugo@debian.org>  Fri, 28 Dec 2001 18:47:48 -0500

xwrits (2.17-3) unstable; urgency=low

  * Adding INSTALL to the list of documentation files wasn't such a
    great idea according to Lintian; removed.

 -- Hugo Haas <hugo@debian.org>  Thu, 20 Dec 2001 20:33:41 -0500

xwrits (2.17-2) unstable; urgency=low

  * Declared NEWS as the upstream changelog.
  * Added missing documentation: INSTALL and GESTURES.

 -- Hugo Haas <hugo@debian.org>  Thu, 20 Dec 2001 16:11:14 -0500

xwrits (2.17-1) unstable; urgency=low

  * New upstream version.
  * Removed user Emacs settings in changelog.

 -- Hugo Haas <hugo@debian.org>  Wed, 19 Dec 2001 11:23:21 -0500

xwrits (2.16-1) unstable; urgency=low

  * New upstream version.

 -- Hugo Haas <hugo@debian.org>  Sun, 26 Aug 2001 08:08:39 -0400

xwrits (2.15-1) unstable; urgency=low

  * New upstream version.
  * Bumped standards to 3.5.6.0.

 -- Hugo Haas <hugo@debian.org>  Wed, 15 Aug 2001 11:52:38 -0400

xwrits (2.14-2) unstable; urgency=low

  * Added Build-Depends using dpkg-genbuilddeps by Ben Collins.

 -- Hugo Haas <hugo@debian.org>  Fri, 30 Mar 2001 22:02:11 -0500

xwrits (2.14-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Fixes all the bugs - well, they were already fixed in 2.11-0.1.
    Closes: #61302, #78846, #79029, #54163, #60336.
  * Updated README.Debian and copyright.

 -- Hugo Haas <hugo@debian.org>  Thu, 29 Mar 2001 19:52:42 -0500

xwrits (2.11-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.

 -- Hugo Haas <hugo@debian.org>  Thu,  6 Jul 2000 08:33:29 -0400

=== debian/control ===
Source: xwrits
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.1), perl (>= 5.6), texinfo (>= 4.2), libice-dev, libsm-dev, libx11-dev, libxext-dev, xutils-dev
Homepage: http://www.lcdf.org/~eddietwo/xwrits

Package: xwrits
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: reminds you to take a break from typing
 xwrits helps you prevent repetitive stress injury.
 .
 xwrits is a small reminder program designed to let you know it is time
 to take a break from typing to rest your wrists and prevent any damage
 to your wrists (or at least make them feel better if you've already
 damaged them). Normally works on the honor system, but if you find
 yourself unable to stop typing during your break, it can also lock your
 keyboard.

=== debian/watch ===
version=3
  http://www.lcdf.org/~eddietwo/xwrits/ .*xwrits-([\d.]+).*\.tar\.gz

## xwrits 2.26

=== debian/changelog ===
xwrits (2.26-1) unstable; urgency=medium

  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 13 and update scripts (closes: #999114)
  * Update watch file format version to 4.
  * New upstream version (closes: #503134)
  * Forward port, quiltify, and modularize patches
  * Bump policy
  * Rules do not require root
  * Adopt package (closes: #1012001)
  * Set up packaging repo on salsa

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 09 Oct 2022 21:37:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: xwrits
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Helen Faulkner <helen@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.1), perl (>= 5.6), texinfo (>= 4.2), libice-dev, libsm-dev, libx11-dev, libxext-dev, xutils-dev
-Homepage: http://www.lcdf.org/~eddietwo/xwrits
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), perl (>= 5.6), texinfo (>= 4.2), libice-dev, libsm-dev, libx11-dev, libxext-dev, xutils-dev
+Homepage: https://www.lcdf.org/~eddietwo/xwrits
+Vcs-Git: https://salsa.debian.org/debian/xwrits.git
+Vcs-Browser: https://salsa.debian.org/debian/xwrits
 
 Package: xwrits
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
https://www.lcdf.org/~eddietwo/@PACKAGE@/ .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
